> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出记忆立方 - GET /v1/workspaces/:workspace_id/cubes

> 通过 GET /v1/workspaces/:workspace_id/cubes 返回工作空间下当前用户可见的记忆立方。最小角色 viewer。

返回工作空间下当前用户可见的记忆立方体（受可读主体与可见性约束）。

## 接口

```http theme={null}
GET /v1/workspaces/:workspace_id/cubes
```

## 认证

`Authorization: Bearer <jwt>` 或 `X-API-Key <sk_...>`。最小角色：**viewer**。

## 路径参数

<ParamField path="workspace_id" type="string" required>
  工作空间 id。
</ParamField>

## 响应

响应为一个数组，每个元素为立方体：

<ResponseField name="id" type="string">
  立方体 id。
</ResponseField>

<ResponseField name="name" type="string">
  名称。
</ResponseField>

<ResponseField name="owner_id" type="string">
  拥有者用户 id。
</ResponseField>

<ResponseField name="workspace_id" type="string">
  所属工作空间 id。
</ResponseField>

<ResponseField name="readable" type="string[]">
  可读主体 id 列表。
</ResponseField>

<ResponseField name="writable" type="string[]">
  可写主体 id 列表。
</ResponseField>

<ResponseField name="created_at" type="string">
  创建时间（RFC3339）。
</ResponseField>

## 示例

<RequestExample>
  ```bash cURL theme={null}
  curl https://memo.ariacompute.cn/v1/workspaces/ws_01a2b3c4d5e6/cubes \
    -H "Authorization: Bearer <jwt>"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "id": "cube_01a2b3c4d5e6",
      "name": "用户画像",
      "owner_id": "usr_01a2b3c4d5e6",
      "workspace_id": "ws_01a2b3c4d5e6",
      "readable": ["usr_aa"],
      "writable": ["usr_aa"],
      "created_at": "2026-10-12T08:20:00Z"
    }
  ]
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.